<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Repository;

use Dedi\SyliusBlogPlugin\Domain\Blog\Adapter\BlogConfigurationRepositoryInterface;
use Sylius\Component\Core\Model\ChannelInterface;

class BlogConfigurationRepository extends AbstractRepository implements BlogConfigurationRepositoryInterface
{
    public function findByChannel(ChannelInterface $channel, ?string $locale = null)
    {
        return $this->createTranslationBasedQueryBuilder($locale)
            ->andWhere('o.channel = :channel')
            ->setParameter('channel', $channel)
            ->getQuery()
            ->getResult()
        ;
    }
}
